Bug 11970 - update port: audio/aumix
Summary: update port: audio/aumix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1999-06-01 05:20 UTC by cpiazza
Modified: 2010-09-05 05:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cpiazza 1999-06-01 05:20:01 UTC
Update to 1.19.
I'm the maintainer of this port.

Fix: 

-Chris--1rE6hvWI1E1vmCVSM6wKl9rd0fhebvIVPDANFe4sSKDF1qTr
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: aumix/Makefile
===================================================================
RCS file: /cvs/FreeBSD/ports/audio/aumix/Makefile,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 Makefile
--- Makefile	1999/05/29 04:47:12	1.1.1.1
+++ Makefile	1999/06/01 01:31:25
@@ -1,12 +1,12 @@
 # New ports collection makefile for:	aumix
-# Version required:    1.18.4
+# Version required:    1.19
 # Date created:        21 May 1999
 # Whom:                Chris Piazza <cpiazza@home.net>
 #
 # $Id: Makefile,v 1.1.1.1 1999/05/29 04:47:12 steve Exp $
 #
 
-DISTNAME=	aumix-1.18.4
+DISTNAME=	aumix-1.19
 CATEGORIES=	audio
 MASTER_SITES=	http://jpj.net/~trevor/aumix/ \
 		${MASTER_SITE_SUNSITE}
@@ -18,8 +18,9 @@
 
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
-CONFIGURE_ENV+=	CPPFLAGS="-L${LOCALBASE}/lib -I${LOCALBASE}/include" \
-		LDFLAGS="-L${LOCALBASE}/lib -I${LOCALBASE}/include"
+CONFIGURE_ARGS=	--includedir="${LOCALBASE}/include" \
+		--libdir="${LOCALBASE}/lib"
+CONFIGURE_ENV=	LDFLAGS="-L${LOCALBASE}/lib" CPPFLAGS="-I${LOCALBASE}/include"
 
 MAN1=	aumix.1
 
Index: aumix/files/md5
===================================================================
RCS file: /cvs/FreeBSD/ports/audio/aumix/files/md5,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 md5
--- md5	1999/05/29 04:47:13	1.1.1.1
+++ md5	1999/06/01 00:12:24
@@ -1 +1 @@
-MD5 (aumix-1.18.4.tar.gz) = 1451d865adc0a529c7b0fb5e7e2888ee
+MD5 (aumix-1.19.tar.gz) = 0ca846dda9e0c42f3694113373e3fe47
Index: aumix/patches/patch-aa
===================================================================
RCS file: patch-aa
diff -N patch-aa
--- /dev/null	Mon May 31 18:32:17 1999
+++ patch-aa	Mon May 31 18:26:11 1999
@@ -0,0 +1,20 @@
+--- src/Makefile.in.orig	Thu May 20 04:56:28 1999
++++ src/Makefile.in	Mon May 31 18:25:47 1999
+@@ -80,7 +80,7 @@
+ aumix_SOURCES = aumix.c aumix_curses.c aumix_gpm.c 		  aumix.h gpm-xterm.h aumix_curses.h
+ 
+ localedir = $(datadir)/locale
+-INCLUDES = -I../intl -DLOCALEDIR=\"$(localedir)\"
++INCLUDES = -I../intl -DLOCALEDIR=\"$(localedir)\" -I@includedir@
+ mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+ CONFIG_CLEAN_FILES = 
+ PROGRAMS =  $(bin_PROGRAMS)
+@@ -97,7 +97,7 @@
+ CFLAGS = @CFLAGS@
+ COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
+ CCLD = $(CC)
+-LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
++LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -L@libdir@ -o $@
+ DIST_COMMON =  Makefile.am Makefile.in
+ 
+
Comment 1 Michael Haro freebsd_committer 1999-06-02 06:26:34 UTC
State Changed
From-To: open->closed

Committed, thanks